Bug 216634

Summary: science/paraview: fails to build with clang 4.0
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jason W. Bacon <jwb>
Status: Closed FIXED    
Severity: Affects Only Me CC: devel, jwb, tcberner, w.schwarzenfeld
Priority: --- Keywords: needs-patch
Version: LatestFlags: bugzilla: maintainer-feedback? (devel)
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216075
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216074
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216072
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216016
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215861
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216015
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216046
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216051
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216052
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216056
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216058
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216019
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216159
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216176
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216194
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216197
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216198
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216199
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216200
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216203
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216206
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216211
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216213
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216214
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216215
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216216
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216217
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216218
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216221
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216222
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216227
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216228
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216233
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216234
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216235
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216253
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216354
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216355
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216356
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216357
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216358
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216076
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216615
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216617
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216618
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216619
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216620
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216621
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216622
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216623
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216624
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216626
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216627
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216629
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216630
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216631
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216632
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216633
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216635
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216636
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216637
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216638
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216639
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216640
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216641
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216642
Bug Depends on:    
Bug Blocks: 216008    
Attachments:
Description Flags
patch for files/
none
Unified diff none

Description Jan Beich freebsd_committer 2017-01-30 23:37:29 UTC
VTK/ThirdParty/xdmf2/vtkxdmf2/libsrc/XdmfDsmComm.cxx:55:18: error: ordered comparison between pointer and zero ('void *' and 'int')
    if(Msg->Data <= 0 ){
       ~~~~~~~~~ ^  ~
VTK/ThirdParty/xdmf2/vtkxdmf2/libsrc/XdmfDsmComm.cxx:69:18: error: ordered comparison between pointer and zero ('void *' and 'int')
    if(Msg->Data <= 0 ){
       ~~~~~~~~~ ^  ~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/paraview-5.2.0.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 devel 2017-04-06 08:13:03 UTC
Created attachment 181537 [details]
patch for files/

Here is the fix.
Comment 2 Tobias C. Berner freebsd_committer 2017-08-31 11:25:50 UTC
There's an upstream fix for this:

https://github.com/Kitware/VTK/commit/33631146a85dfa64433c3997f166cbaa96bedee9.patch
Comment 3 Jason W. Bacon freebsd_committer 2017-12-11 16:24:18 UTC
Sorry to see this bug has languished for so long.

I'm a new committer and will take this on as soon as my bugtracker account is updated.

In the meantime, can you update the patch set?  This fix alone does not appear to be sufficient anymore.  I'm seeing additional build errors on 11.1-RELEASE.
Comment 4 Jason W. Bacon freebsd_committer 2017-12-11 17:18:55 UTC
Created attachment 188723 [details]
Unified diff

This patch set fixes the build on 11.1-RELEASE.

It would probably be better to fix the MSCPP_EXTRA definition rather than simply remove it, but this is a step forward.

Also added a couple improvements based on port check messages.
Comment 5 commit-hook freebsd_committer 2017-12-13 03:35:00 UTC
A commit references this bug:

Author: jwb
Date: Wed Dec 13 03:34:37 UTC 2017
New revision: 456189
URL: https://svnweb.freebsd.org/changeset/ports/456189

Log:
  science/paraview: Unbreak build with clang 4.0

  PR:		216634
  Submitted by:	Jan Beich
  Approved by:	jrm (mentor), maintainer timeout (3.5 months)
  Differential Revision:	https://reviews.freebsd.org/D13462

Changes:
  head/science/paraview/Makefile
  head/science/paraview/files/patch-Plugins_CDIReader_cdilib.c
  head/science/paraview/files/patch-VTK_ThirdParty_netcdf_vtknetcdf_cxx_ncvalues.h
  head/science/paraview/files/patch-VTK_ThirdParty_netcdf_vtknetcdf_cxx_netcdfcpp.h
  head/science/paraview/files/patch-VTK_ThirdParty_xdmf2_vtkxdmf2_libsrc_XdmfDsmComm.cxx
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-23 02:17:42 UTC
Forgotten to close?